<?xml version="1.0"?>
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>

<!DOCTYPE window>

<window
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
  xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
  xmlns:html="http://www.w3.org/1999/xhtml"
  data-l10n-id="certmgr-cert-detail"
  data-l10n-attrs="title"
  onload="setWindowName();">
<dialog id="certDetails"
  data-l10n-id="certmgr-cert-detail"
  data-l10n-attrs="buttonlabelaccept, buttonaccesskeyaccept"
  buttons="accept">


<linkset>
  <html:link rel="localization" href="security/certificates/certManager.ftl"/>
</linkset>

<script src="chrome://pippki/content/pippki.js"/>
<script src="chrome://global/content/globalOverlay.js"/>
<script src="chrome://global/content/editMenuOverlay.js"/>
<script src="chrome://pippki/content/certViewer.js"/>
<html:style>
  table {
    border-spacing: 0.5ch 2px;
  }
  td > input {
    width: 100%;
  }
  th {
    vertical-align: middle;
    text-align: start;
  }
  th[scope="row"] {
    font-weight: normal;
  }
  input:-moz-read-only,
  textarea:-moz-read-only {
    background: none;
    border: none;
    width: 100%;
    padding-block: 0;
    margin-inline: 0;
  }
</html:style>

  <tabbox flex="1">
    <tabs>
      <tab id="general_tab" data-l10n-id="certmgr-detail-general-tab-title"/>
      <tab id="prettyprint_tab" data-l10n-id="certmgr-detail-pretty-print-tab-title"/>
    </tabs>
    <tabpanels flex="1">
      <vbox class="box-padded" id="general_info">
        <vbox id="verify_info_box">
          <label id="verify_pending" data-l10n-id="certmgr-pending-label"/>
          <label class="header" id="verified"/>
        </vbox>
        <separator class="groove"/>
        <table xmlns="http://www.w3.org/1999/xhtml">
          <tr>
            <th colspan="2" scope="rowgroup" data-l10n-id="certmgr-subject-label"></th>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-commonname"></th>
            <td><input id="commonname" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-org"></th>
            <td><input id="organization" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-orgunit"></th>
            <td><input id="orgunit" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-serial-number"></th>
            <td><input id="serialnumber" readonly="readonly"/></td>
          </tr>
          <tr>
            <td colspan="2"><xul:separator class="thin"/></td>
          </tr>
          <tr>
            <th colspan="2" scope="rowgroup" data-l10n-id="certmgr-issuer-label"></th>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-commonname"></th>
            <td><input id="issuercommonname" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-org"></th>
            <td><input id="issuerorganization" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-orgunit"></th>
            <td><input id="issuerorgunit" readonly="readonly"/></td>
          </tr>
          <tr>
            <td colspan="2"><xul:separator class="thin"/></td>
          </tr>
          <tr>
            <th colspan="2" scope="rowgroup" data-l10n-id="certmgr-period-of-validity"></th>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-begins-on"></th>
            <td><input id="validitystart" readonly="readonly"/></td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-expires-on"></th>
            <td><input id="validityend" readonly="readonly"/></td>
          </tr>
          <tr>
            <td colspan="2"><xul:separator class="thin"/></td>
          </tr>
          <tr>
            <th colspan="2" scope="rowgroup" data-l10n-id="certmgr-fingerprints"></th>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-sha-256-fingerprint"></th>
            <td>
              <textarea id="sha256fingerprint" readonly="readonly"
                        style="height: 6ex; width: 48ch; font-family: monospace;"/>
            </td>
          </tr>
          <tr>
            <th scope="row" data-l10n-id="certmgr-cert-detail-sha-1-fingerprint"></th>
            <td><input id="sha1fingerprint" readonly="readonly" style="min-width:34em;"/></td>
          </tr>
        </table>
      </vbox>
      <vbox class="box-padded" id="certPrettyPrint" flex="1">
        <label class="header" data-l10n-id="certmgr-hierarchy" control="treesetDump"/>
        <tree id="treesetDump" onselect="updateCertDump();" flex="1"
              hidecolumnpicker="true" style="height: 8em;">
          <treecols>
            <treecol id="dumpCol" flex="1" primary="true" hideheader="true"/>
          </treecols>
        </tree>

        <label class="header" data-l10n-id="certmgr-details" control="prettyDumpTree"/>
        <tree id="prettyDumpTree" style="height: 15em" treelines="true" flex="1"
                  onselect="displaySelected();" hidecolumnpicker="true">
          <treecols>
            <treecol flex="1" id="certDataCol" primary="true" hideheader="true"/>
          </treecols>
          <treechildren/>
        </tree>

        <label class="header" data-l10n-id="certmgr-fields" control="certDumpVal"/>
        <html:textarea id="certDumpVal" flex="1" readonly="readonly"
                       style="height: 11em; font-family: -moz-fixed;"/>
        <separator class="thin"/>
        <hbox>
          <button id="export_cert" class="normal" data-l10n-id="certmgr-export"
                  oncommand="exportToFile(window, getCurrentCert());"/>
        </hbox>
      </vbox>
    </tabpanels>
  </tabbox>

</dialog>
</window>
